function topnav_responsive() {
	var x = document.getElementById("PageTopNav");
	if (x.className === "topnav") {
		x.className += " responsive";
	} else {
		x.className = "topnav";
	}
	return false;
}

function load_yt_embed()
{
	let YT_Containers = document.querySelectorAll(".embed-yt");
	// For every YT container
	for (let i = 0; i < YT_Containers.length; i++)
	{
		let container = YT_Containers[i];
		let imgSrc = "/img/yt/"+ container.dataset.videoId +".jpg";

		// Load img asynchronously
		let image = new Image();
		image.src = imgSrc;
		image.alt = "Youtube video";

		image.addEventListener("load",
			function() {
				container.appendChild(image);
			}
		);

		// User clicks on the container->load the embedded video
		container.addEventListener("click",
			function()
			{
				let iframe = document.createElement( "iframe" );

				iframe.setAttribute("allow", "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture");
				iframe.setAttribute("allowfullscreen", "");
				iframe.setAttribute("frameborder", "0");

				// Important: add the autoplay GET parameter, otherwise the user would need to click over the video again to play it
				iframe.setAttribute("src", "https://www.youtube.com/embed/"+ this.dataset.videoId +"?rel=0&showinfo=0&autoplay=1");

				// Clear Thumbnail + load the iframe
				this.innerHTML = "";
				this.appendChild( iframe );
			}
		);
	}
};

